#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Imager
%define		pnam	Imager
Summary:	Imager - Perl extension for generating images
Summary(pl.UTF-8):	Imager - rozszerzenie Perla do generowania obrazków
Name:		perl-Imager
Version:	1.000
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Imager/%{pnam}-%{version}.tar.gz
# Source0-md5:	d1243b2a0a339963b77a4876d1351649
URL:		http://www.develop-help.com/imager/
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	giflib-devel >= 4.1.0-4
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	t1lib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Imager is a module for creating and altering images. It can read and
write various image formats, draw primitive shapes like lines, and
polygons, blend multiple images together in various ways, scale, crop,
render text and more.

%description -l pl.UTF-8
Imager to moduł do tworzenia i modyfikowania obrazków. Potrafi czytać
i zapisywać różne formaty obrazków, rysować proste kształty takie jak
linie i wielokąty, mieszać wiele obrazków razem na różne sposoby,
skalować, obcinać, nanosić tekst itd.

%prep
%setup -q -n %{pnam}-%{version}

%build
# manual configuration: we want freetype2 enabled and freetype1 disabled
# y/n for: win32, ft1, t1lib, ft2, tiff, png, ungif, jpeg, gif
IM_MANUAL=y \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor <<EOF

n
n
n
y
y
y
n
y
y
EOF

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Imager

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Imager/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Imager.pm
%{perl_vendorarch}/Imager
%dir %{perl_vendorarch}/auto/Imager
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Imager.so
%dir %{perl_vendorarch}/auto/Imager/CountColor
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/CountColor/CountColor.so
%dir %{perl_vendorarch}/auto/Imager/File
%dir %{perl_vendorarch}/auto/Imager/File/GIF
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/GIF/GIF.so
%dir %{perl_vendorarch}/auto/Imager/File/ICO
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/ICO/ICO.so
%dir %{perl_vendorarch}/auto/Imager/File/JPEG
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/JPEG/JPEG.so
%dir %{perl_vendorarch}/auto/Imager/File/PNG
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/PNG/PNG.so
%dir %{perl_vendorarch}/auto/Imager/File/SGI
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/SGI/SGI.so
%dir %{perl_vendorarch}/auto/Imager/File/TIFF
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/File/TIFF/TIFF.so
%dir %{perl_vendorarch}/auto/Imager/Filter
%dir %{perl_vendorarch}/auto/Imager/Filter/DynTest
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Filter/DynTest/DynTest.so
%dir %{perl_vendorarch}/auto/Imager/Filter/Flines
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Filter/Flines/Flines.so
%dir %{perl_vendorarch}/auto/Imager/Filter/Mandelbrot
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Filter/Mandelbrot/Mandelbrot.so
%dir %{perl_vendorarch}/auto/Imager/Font
%dir %{perl_vendorarch}/auto/Imager/Font/FT2
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Font/FT2/FT2.so
%dir %{perl_vendorarch}/auto/Imager/Font/T1
%attr(755,root,root) %{perl_vendorarch}/auto/Imager/Font/T1/T1.so
%dir %{perl_vendorlib}/Imager
%{_mandir}/man3/Imager*.3pm*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Imager.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d0fa22a
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 229c950
- release 2 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> cc9bc8e
- up to 1.000

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> aa582f1
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1897d01
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2cd18b4
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> fc894ae
- up to 0.97

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0447aef
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> b7db8ef
- up to 0.96
- added t1lib support

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 536ef9b
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> 0cec679
- release 2 (rebuild against libpng-1.5)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> c40c8b8
- up to 0.87

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3824675
- release 5

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f6272e
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c633535
- release 3

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 69d3d5c
- release 2

* Fri Nov 27 2009 amateja <amateja@pld-linux.org> 8c2b11f
- updated to 0.71

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> abf24f1
- updated to 0.70

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> af221ca
- upgrade 0.67

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b4fe6a1
- release 4

